"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Popsicle = __importStar(require("popsicle/dist/common"));
var HTTPMethods;
(function (HTTPMethods) {
    HTTPMethods["GET"] = "GET";
    HTTPMethods["POST"] = "POST";
    HTTPMethods["PUT"] = "PUT";
    HTTPMethods["PATCH"] = "PATCH";
    HTTPMethods["DELETE"] = "DELETE";
    HTTPMethods["HEAD"] = "HEAD";
    HTTPMethods["OPTIONS"] = "OPTIONS";
    HTTPMethods["COPY"] = "COPY";
    HTTPMethods["LOCK"] = "LOCK";
    HTTPMethods["MKCOL"] = "MKCOL";
    HTTPMethods["MOVE"] = "MOVE";
    HTTPMethods["PROPFIND"] = "PROPFIND";
    HTTPMethods["PROPPATCH"] = "PROPPATCH";
    HTTPMethods["UNLOCK"] = "UNLOCK";
    HTTPMethods["REPORT"] = "REPORT";
})(HTTPMethods = exports.HTTPMethods || (exports.HTTPMethods = {}));
var Request = /** @class */ (function () {
    function Request() {
        this.transport = Popsicle.createTransport({
            maxBufferSize: Infinity,
            rejectUnauthorized: false,
            type: 'text',
        });
    }
    Request.prototype.send = function (method, url, body) {
        var opts = {
            body: body,
            headers: {
                'Content-Type': 'application/json',
                'X-Pact-Mock-Service': 'true',
            },
            method: method,
            timeout: 10000,
            transport: this.transport,
            url: url,
        };
        return Popsicle.request(opts).then(function (res) {
            if (res.status >= 200 && res.status < 400) {
                return res.body;
            }
            return Promise.reject(res.body);
        });
    };
    return Request;
}());
exports.Request = Request;
//# sourceMappingURL=request.js.map