import { ProxyOptions, StateHandlers } from 'dsl/verifier/proxy/types';
import * as express from 'express';
export interface VerifierV3Options {
    provider: string;
    logLevel: string;
    providerBaseUrl: string;
    pactUrls?: string[];
    pactBrokerUrl?: string;
    providerStatesSetupUrl?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    pactBrokerToken?: string;
    timeout?: number;
    publishVerificationResult?: boolean;
    providerVersion?: string;
    requestFilter?: express.RequestHandler;
    stateHandlers?: StateHandlers;
    consumerVersionTags?: string | string[];
    providerVersionTags?: string | string[];
    consumerVersionSelectors?: ConsumerVersionSelector[];
    enablePending?: boolean;
    includeWipPactsSince?: string;
    disableSSLVerification?: boolean;
}
export interface ConsumerVersionSelector {
    pacticipant?: string;
    tag?: string;
    version?: string;
    latest?: boolean;
    all?: boolean;
}
export declare type VerifierOptions = VerifierV3Options & ProxyOptions;
export declare class VerifierV3 {
    private config;
    private address;
    private stateSetupPath;
    constructor(config: VerifierOptions);
    /**
     * Verify a HTTP Provider
     */
    verifyProvider(): Promise<unknown>;
    private validateConfiguration;
    private runProviderVerification;
    private isLocalVerification;
}
